API Documentation

    Integrate booking and availability features into your website

    API Reference

    Authentication

    All API requests require authentication using an API key. Include your API key in the request header:

    x-api-key: YOUR_API_KEY

    Generate and manage your API keys in Settings → API Keys

    Endpoints

    List Products

    Fetch all published products from your catalog

    GET
    https://pkqbrnkloghvgkeuplan.supabase.co/functions/v1/public-api-products

    Parameters

    categorystring

    Filter by category ID

    product_typestring

    Filter by product type (tour, activity, experience, accommodation)

    limitnumber

    Maximum number of products to return (default: 50)

    Example Request

    curl -X GET "https://pkqbrnkloghvgkeuplan.supabase.co/functions/v1/public-api-products?limit=10" \
      -H "x-api-key: YOUR_API_KEY"

    Example Response

    {
      "products": [
        {
          "id": "uuid",
          "name": "City Walking Tour",
          "description": "Explore the historic downtown",
          "base_price": 49.99,
          "product_type": "tour",
          "product_images": [],
          "product_categories": {
            "name": "City Tours"
          }
        }
      ]
    }